## ros-indigo-husky-control 0.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_control)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch)

catkin_install_python(PROGRAMS scripts/stow_ur5 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY config launch scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-husky-control (0.2.8-0trusty) trusty; urgency=high

  * Fixed typo in URLs.
  * Revert "Remove twist_mux config."
  * Remove twist_mux config.
  * Replace twist-mux
  * Contributors: Administrator, Peiyi Chen, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-indigo-husky-control (0.2.7-0trusty) trusty; urgency=high

  * Update localization.yaml
  * Update localization.yaml
  * Remapping the move_base topic to be compatible with cpr autonomy core.
  * Contributors: Peiyi Chen, Tom Moore

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-indigo-husky-control (0.2.6-0trusty) trusty; urgency=high

  * Added angular_scale_turbo to teleop.config.
  * Move interactive marker launch from teleop into control launch file
  * Added fix for ur5 arm in gazebo
  * Contributors: Paul Bovbel, Devon Ash, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-indigo-husky-control (0.2.5-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 16 Apr 2015 04:00:00 -0000

ros-indigo-husky-control (0.2.4-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-indigo-husky-control (0.2.3-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-husky-control (0.2.2-0trusty) trusty; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-control (0.2.1-0trusty) trusty; urgency=high

  * Update control params with base_link
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-control (0.2.0-0trusty) trusty; urgency=high

  * Add UR5 arm simulation control config
  * Contributors: Paul Bovbel, Devon Ash

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-control (0.0.4-0trusty) trusty; urgency=high

  * Namespace fixes
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 12 Feb 2015 05:00:00 -0000

ros-indigo-husky-control (0.0.3-0trusty) trusty; urgency=high

  * Update website
  * Add author
  * Get rid of chassis_link, switch to base_footprint and base_link
  * Turn on 2d mode; future proof robot_localization parameters
  * Refactor configuration files into modules
  * Re-enable IMU orientation fusion
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-husky-control (0.0.2-0trusty) trusty; urgency=high

  * Use odom position for ekf
  * Update wheel separation multiplier for slippage
  * Restore teleop twist joy
  * Set 2D mode, and add move_base cmd channel
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 16 Jan 2015 05:00:00 -0000

ros-indigo-husky-control (0.0.1-0trusty) trusty; urgency=high

  * Initial development of husky_control for Husky indigo release
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 12 Jan 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-husky-control
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/husky_control
Standards-Version: 3.9.2

Package: ros-indigo-husky-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diff-drive-controller, ros-indigo-interactive-marker-twist-server, ros-indigo-joint-state-controller, ros-indigo-joint-trajectory-controller, ros-indigo-joy, ros-indigo-robot-localization, ros-indigo-rostopic, ros-indigo-teleop-twist-joy, ros-indigo-twist-mux
Description: Clearpath Husky controller configurations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-husky-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
